Skip to main content
GET
List payments

Authorizations

Authorization
string
header
required

Secret, platform or publishable API key. Platform keys require Payments-Account.

Headers

payments-account
string

Required for platform keys; refused for secret/publishable keys.

payments-version
enum<string>
Available options:
2026-11-01

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string
Minimum string length: 1
store
string
Pattern: ^store_[a-f0-9]{12}$
customer
string
Pattern: ^cus_[a-f0-9]{12}$
status
enum<string>
Available options:
requires_payment_method,
requires_confirmation,
processing,
requires_action,
requires_capture,
succeeded,
failed,
canceled
purpose
enum<string>
Available options:
sale,
signup,
upsell,
renewal,
verification
parent_payment
string
Pattern: ^pay_[a-f0-9]{12}$
retry_of
string
Pattern: ^pay_[a-f0-9]{12}$
renewal_cycle
string
created_gte
string<date-time>
created_lt
string<date-time>

Response

A page of payments.

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required
object
enum<string>
required
Available options:
list